/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997, 1998  Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/

#ifdef SAVE_RCSID
static char rcsid =
 "@(#) $Id: SDL_sysevents.h,v 1.1.1.1 1998/07/14 01:51:17 slouken Exp $";
#endif

/* Useful functions and variables from SDL_sysevents.c */

#ifdef __BEOS__		/* The Be event loop runs in a separate thread */
#define THREADED_EVENTS
#endif

#ifdef THREADED_EVENTS
extern int SDL_StartEventThread(void);
extern void SDL_StopEventThread(void);
#endif

/* Initialize the keymap for this platform */
extern void SDL_InitOSKeymap(void);

/* Poll the system event loop, posting events to the private event handlers
   until one of them returns true.
*/
void SDL_SYS_PollEvent(void);

/* Wait for events in the system event loop, posting them to the private
   event handlers until one of them returns true.  Return 0 if no events
   were posted (this is okay), 1 if an event was posted, or -1 if there
   was an error.
*/
int SDL_SYS_WaitEvent(void);

/* This is called after a quit interrupt, just in case the system level
   event routines need interruption.
*/
void SDL_SYS_QuitInterrupt(void);

