
/* Print out all the keysyms we have, just to verify them */

#include <stdio.h>
#include <ctype.h>

#include "SDL.h"

int main(int argc, char *argv[])
{
	int i;
	char *name;
	Uint8 ascii, ctrl, shift;

	if ( SDL_Init(SDL_INIT_VIDEO) < 0 ) {
		fprintf(stderr, "Couldn't initialize SDL: %s\n",
							SDL_GetError());
		exit(1);
	}
	for ( i=0; i<256; ++i ) {
		SDL_keysym sym;

		/* Get the name of the sym */
		sym.sym = i;
		sym.mod = KMOD_NONE;
		ascii = SDL_SymToASCII(&sym, &name);

		if ( ! name )
			continue;

		printf("Key #%d, \"%s\"", i, name);
		if ( ascii ) {
			sym.mod = KMOD_SHIFT;
			shift = SDL_SymToASCII(&sym, NULL);
			printf(", ASCII = %c, SHIFT = %c", ascii, shift);
			sym.mod = KMOD_CTRL;
			ctrl = SDL_SymToASCII(&sym, NULL);
			if ( ascii != ctrl )
				printf(", CTRL = ^%c", ctrl+'@');
		}
		printf("\n");
	}
	SDL_Quit();
	exit(0);
}
